kr.co.hanwha.hifive.dialog

## Class HFEvaluationDialog

- java.lang.Object
- - android.app.Dialog
  - - kr.co.hanwha.hifive.dialog.HFEvaluationDialog

All Implemented Interfaces:
  android.content.DialogInterface, android.view.KeyEvent.Callback, android.view.View.OnCreateContextMenuListener, android.view.Window.Callback

    public class HFEvaluationDialog
    extends android.app.Dialog

Created by sanghoonkwon on 2018. 3. 14..

### Nested Class Summary

Nested Classes
`static interface` `HFEvaluationDialog.OnDialogCallback` Callback

### Nested classes/interfaces inherited from interface android.content.DialogInterface

`android.content.DialogInterface.OnCancelListener, android.content.DialogInterface.OnClickListener, android.content.DialogInterface.OnDismissListener, android.content.DialogInterface.OnKeyListener, android.content.DialogInterface.OnMultiChoiceClickListener, android.content.DialogInterface.OnShowListener`

### Field Summary

Fields
`private HFEvaluationDialog.OnDialogCallback` `mCallback`
`private android.widget.ImageView[]` `mImageViewStars`
`private android.widget.TextView` `mTextViewNegative`
`private android.widget.TextView` `mTextViewPositive`
`(package private) android.view.View.OnClickListener` `onStarClickListener` View.OnClickListener
`(package private) android.view.View.OnTouchListener` `onTouchListener` View.OnTouchListener
`private int[]` `res_stars`

### Fields inherited from interface android.content.DialogInterface

`BUTTON_NEGATIVE, BUTTON_NEUTRAL, BUTTON_POSITIVE, BUTTON1, BUTTON2, BUTTON3`

### Constructor Summary

Constructors
`` `HFEvaluationDialog(android.content.Context context)`
`protected` `HFEvaluationDialog(android.content.Context context, boolean cancelable, android.content.DialogInterface.OnCancelListener cancelListener)`
`` `HFEvaluationDialog(android.content.Context context, HFEvaluationDialog.OnDialogCallback callback)`
`` `HFEvaluationDialog(android.content.Context context, int themeResId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `onCreate(android.os.Bundle savedInstanceState)`

### Methods inherited from class android.app.Dialog

`addContentView, cancel, closeOptionsMenu, create, dismiss, dispatchGenericMotionEvent, dispatchKeyEvent, dispatchKeyShortcutEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, findViewById, getActionBar, getContext, getCurrentFocus, getLayoutInflater, getOwnerActivity, getSearchEvent, getVolumeControlStream, getWindow, hide, invalidateOptionsMenu, isShowing, onActionModeFinished, onActionModeStarted, onAttachedToWindow, onBackPressed, onContentChanged, onContextItemSelected, onContextMenuClosed, onCreateContextMenu, onCreateOptionsMenu, onCreatePanelMenu, onCreatePanelView, onDetachedFromWindow, onGenericMotionEvent, onKeyDown, onKeyLongPress, onKeyMultiple, onKeyShortcut, onKeyUp, onMenuItemSelected, onMenuOpened, onOptionsItemSelected, onOptionsMenuClosed, onPanelClosed, onPrepareOptionsMenu, onPreparePanel, onRestoreInstanceState, onSaveInstanceState, onSearchRequested, onSearchRequested, onStart, onStop, onTouchEvent, onTrackballEvent, onWindowAttributesChanged, onWindowFocusChanged, onWindowStartingActionMode, onWindowStartingActionMode, openContextMenu, openOptionsMenu, registerForContextMenu, requestWindowFeature, setCancelable, setCanceledOnTouchOutside, setCancelMessage, setContentView, setContentView, setContentView, setDismissMessage, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setOnCancelListener, setOnDismissListener, setOnKeyListener, setOnShowListener, setOwnerActivity, setTitle, setTitle, setVolumeControlStream, show, takeKeyEvents, unregisterForContextMenu`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface android.view.Window.Callback

`onPointerCaptureChanged, onProvideKeyboardShortcuts`

### Field Detail

#### mImageViewStars

    private android.widget.ImageView[] mImageViewStars

#### res_stars

    private int[] res_stars

#### mTextViewPositive

    private android.widget.TextView mTextViewPositive

#### mTextViewNegative

    private android.widget.TextView mTextViewNegative

#### mCallback

    private HFEvaluationDialog.OnDialogCallback mCallback

#### onTouchListener

    android.view.View.OnTouchListener onTouchListener

View.OnTouchListener

#### onStarClickListener

    android.view.View.OnClickListener onStarClickListener

View.OnClickListener

### Constructor Detail

#### HFEvaluationDialog

    public HFEvaluationDialog(@NonNull
                              android.content.Context context)

#### HFEvaluationDialog

    public HFEvaluationDialog(@NonNull
                              android.content.Context context,
                              @StyleRes
                              int themeResId)

#### HFEvaluationDialog

    protected HFEvaluationDialog(@NonNull
                                 android.content.Context context,
                                 boolean cancelable,
                                 @Nullable
                                 android.content.DialogInterface.OnCancelListener cancelListener)

#### HFEvaluationDialog

    public HFEvaluationDialog(@NonNull
                              android.content.Context context,
                              @Nullable
                              HFEvaluationDialog.OnDialogCallback callback)

### Method Detail

#### onCreate

    protected void onCreate(android.os.Bundle savedInstanceState)

Overrides:
  `onCreate` in class `android.app.Dialog`